
QGIS Application - Bug report #14275

"Control feature rendering order" textbox is not editable

2016-02-10 03:27 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22269

Description

Currently, the textbox beside "Control feature rendering order" is selectable but non editable. It could be handy to have the possibility to

quickly type or change the expression inside.

History

#1 - 2016-05-05 09:01 AM - Harrissou Santanna

Of course this would require to parse the contents and, as done for some text boxes print the text in red if not compliant.

The next step is : should the layer properties dialog validation tools be greyed to avoid user hits them or should the sorting be ignored or disabled if he hits

Ok/Apply.

Not sure how this is handled in other expression editable listbox (for labels, style...)

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
